export const mainData = {
  dataSource: 'mysql24.connector_foundation1.tb_1',
  size: '254K',
  type: 'MySQL',
  owner: '张三',
  changeTime: '2023-06-14 10:04:04',
  remark: '无',
};
export const lastData = {
  dataSource: 'mysql24.connector_foundation1.tb_1',
  size: '254K',
  type: 'MySQL',
  owner: '张三',
  changeTime: '2023-06-14 10:04:04',
  remark: '无',
};
export const mainTableData: any[] = [
  {
    name: 'ID',
    type: 'INT',
    length: 11,
    precision: null,
    isNull: 'false',
    remark: '主键',
  },
  {
    name: 'Name',
    type: 'VARCHAR',
    length: 255,
    precision: null,
    isNull: 'true',
    remark: '姓名',
  },
  {
    name: 'Age',
    type: 'TINYINT',
    length: 3,
    precision: null,
    isNull: 'true',
    remark: '年龄',
  },
  {
    name: 'BirthDate',
    type: 'DATE',
    length: null,
    precision: null,
    isNull: 'true',
    remark: '出生日期',
  },
  {
    name: 'Email',
    type: 'VARCHAR',
    length: 100,
    precision: null,
    isNull: 'true',
    remark: '电子邮件',
  },
  {
    name: 'Salary',
    type: 'DECIMAL',
    length: 10,
    precision: 2,
    isNull: 'true',
    remark: '薪资',
  },
];
export const lastTableData: any[] = [
  {
    name: 'ID',
    type: 'INT',
    length: 11,
    precision: null,
    isNull: 'false',
    remark: '主键',
  },
  {
    name: 'Name',
    type: 'VARCHAR',
    length: 255,
    precision: null,
    isNull: 'false',
    remark: '姓名',
  },
  {
    name: 'Age',
    type: 'TINYINT',
    length: 3,
    precision: null,
    isNull: 'true',
    remark: '年龄',
  },
  {
    name: 'BirthDate',
    type: 'DATE',
    length: null,
    precision: null,
    isNull: 'true',
    remark: '出生日期',
  },
  {
    name: 'Email',
    type: 'VARCHAR',
    length: 100,
    precision: null,
    isNull: 'true',
    remark: '电子邮件',
  },
  {
    name: 'Salary',
    type: 'DECIMAL',
    length: 10,
    precision: 2,
    isNull: 'true',
    remark: '薪资',
  },
];
export const mainTableIndexData: any[] = [
  {
    name: 'name',
    type: 'UNIQUE',
    filed: 'name',
  },
];
export const lastTableIndexData: any[] = [
  {
    name: 'id',
    type: 'UNIQUE',
    filed: 'id',
  },
];

export const treeData: any[] = [
  {
    title: '数据资源对象',
    businessId: '1',
    parentId: '0',
    children: [
      {
        title: '数据库1',
        businessId: '11',
        parentId: '1',
        children: [
          {
            title: 'mysql1',
            businessId: '111',
            parentId: '11',
          },
          {
            title: 'mysql2',
            businessId: '112',
            parentId: '11',
          },
        ],
      },
      {
        title: '数据库2',
        businessId: '12',
        parentId: '1',
        children: [
          {
            title: 'mysql3',
            businessId: '121',
            parentId: '12',
          },
          {
            title: 'mysql4',
            businessId: '122',
            parentId: '12',
          },
        ],
      },
    ],
  },
];
