import { bucketingColumns } from '@/views/metadata/data';

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    workSpaceName: '数据库对象资源',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    workSpaceName: 'admin-个人工作区',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    workSpaceName: '共享工作区',
    parentId: 100,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 103,
    workSpaceName: '高级工作区',
    parentId: 100,
    'code:': '010',
    ancestors: '0,100,107',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    workSpaceName: '数据源1',
    parentId: 101,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    workSpaceName: '数据源2',
    parentId: 102,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 203,
    workSpaceName: '数据源3',
    parentId: 103,
    'code:': '010',
    ancestors: '0,100,107',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    workSpaceName: '数据库1',
    parentId: 201,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    workSpaceName: '数据库2',
    parentId: 202,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 303,
    workSpaceName: '数据库3',
    parentId: 203,
    'code:': '010',
    ancestors: '0,100,107',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 401,
    workSpaceName: '数据表1',
    parentId: 301,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 402,
    workSpaceName: '数据表2',
    parentId: 302,
    'code:': '003',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 403,
    workSpaceName: '数据表3',
    parentId: 303,
    'code:': '010',
    ancestors: '0,100,107',
    orderNum: 2,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];

export const metadataData: any[] = [
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 309,
    name: 'mysql24',
    category: 'MySQL',
    owner: '张三',
    workSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '2',
    businessId: 310,
    name: 'mysql11',
    category: 'MySQL',
    owner: '张三',
    workSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '0',
    businessId: 311,
    name: 'Gbase8',
    category: 'Gbase',
    owner: '管理员',
    workSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '2',
    businessId: 312,
    name: '达梦',
    category: '达梦金仓',
    owner: '李四',
    workSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
];
export const dbData: any[] = [
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 30901,
    dbName: 'connector_foundation1',
    owner: '张三',
    tableNumber: '15',
    category: 'MySQL',
    workSpaceName: 'mysql24',
    parentWorkSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 30902,
    dbName: 'connector_test_foundation1',
    owner: '张三',
    tableNumber: '2',
    category: 'MySQL',
    workSpaceName: 'mysql24',
    parentWorkSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 31101,
    dbName: 'db1',
    owner: '李四',
    tableNumber: '15',
    category: '达梦金仓',
    workSpaceName: '达梦',
    parentWorkSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 31102,
    dbName: 'db2',
    owner: '李四',
    tableNumber: '2',
    category: '达梦金仓',
    workSpaceName: '达梦',
    parentWorkSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 31001,
    dbName: 'system',
    owner: '管理员',
    tableNumber: '15',
    category: 'Gbase',
    workSpaceName: 'Gbase8',
    parentWorkSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 31002,
    dbName: 'info',
    owner: '管理员',
    tableNumber: '2',
    category: 'Gbase',
    workSpaceName: 'Gbase8',
    parentWorkSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
];
export const tbData: any[] = [
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3090101,
    dbName: 'connector_foundation1',
    tbName: 'tb_1',
    cnName: '表1',
    size: '20K',
    storageType: 'TORC',
    owner: '张三',
    category: 'MySQL',
    workSpaceName: 'mysql24',
    parentWorkSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3090102,
    dbName: 'connector_foundation1',
    tbName: 'tb_2',
    cnName: '表2',
    size: '254K',
    storageType: 'ORC',
    owner: '张三',
    category: 'MySQL',
    workSpaceName: 'mysql24',
    parentWorkSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3090201,
    dbName: 'connector_test_foundation1',
    tbName: 'user_tb',
    cnName: '用户表',
    size: '2210K',
    storageType: 'orc',
    owner: '张三',
    category: 'MySQL',
    workSpaceName: 'mysql24',
    parentWorkSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3090202,
    dbName: 'connector_test_foundation1',
    tbName: 'root_tb',
    cnName: '权限表',
    size: '15K',
    storageType: 'TORC',
    owner: '张三',
    category: 'MySQL',
    workSpaceName: 'mysql24',
    parentWorkSpaceName: 'admin-个人工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3110101,
    dbName: 'db1',
    tbName: 'tb_01',
    cnName: '表1',
    size: '1.25M',
    storageType: 'DM_InnoDB',
    owner: '李四',
    category: '达梦金仓',
    workSpaceName: '达梦',
    parentWorkSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3110102,
    dbName: 'db1',
    tbName: 'tb_02',
    cnName: '表2',
    size: '2K',
    storageType: 'DM_MyISAM',
    owner: '李四',
    category: '达梦金仓',
    workSpaceName: '达梦',
    parentWorkSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3110201,
    dbName: 'db2',
    tbName: 'abcd',
    cnName: '-',
    size: '20K',
    storageType: 'DM_Temporary',
    owner: '李四',
    category: '达梦金仓',
    workSpaceName: '达梦',
    parentWorkSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3110202,
    dbName: 'db2',
    tbName: 'efgeh',
    cnName: '-',
    size: '20K',
    storageType: 'DM_Memory',
    owner: '李四',
    category: '达梦金仓',
    workSpaceName: '达梦',
    parentWorkSpaceName: '共享工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3100101,
    dbName: 'system',
    tbName: 'sys_menu',
    cnName: '菜单表',
    size: '20K',
    storageType: 'MyISAM',
    owner: '管理员',
    category: 'Gbase',
    workSpaceName: 'Gbase8',
    parentWorkSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3100102,
    dbName: 'system',
    tbName: 'sys_dept',
    cnName: '部门表',
    size: '120K',
    storageType: 'InnoDB',
    owner: '管理员',
    category: 'Gbase',
    workSpaceName: 'Gbase8',
    parentWorkSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3100201,
    dbName: 'info',
    tbName: 'user_info',
    cnName: '用户详情',
    size: '25M',
    storageType: 'MyISAM',
    owner: '管理员',
    category: 'Gbase',
    workSpaceName: 'Gbase8',
    parentWorkSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    delFlag: '0',
    dataSourceStatus: '1',
    businessId: 3100202,
    dbName: 'info',
    tbName: 'custom_info',
    cnName: '客户详情',
    size: '12MB',
    storageType: 'InnoDB',
    owner: '管理员',
    category: 'Gbase',
    workSpaceName: 'Gbase8',
    parentWorkSpaceName: '高级工作区',
    createDate: '2024-10-24 10:04:04',
    updateDate: '2024-10-24 10:04:04',
  },
];

export const tableChangeData = [
  { date: '2023-06-14', value: 200 },
  { date: '2023-06-15', value: 200 },
  { date: '2023-06-16', value: 200 },
  { date: '2023-06-17', value: 200 },
  { date: '2023-06-18', value: 200 },
  { date: '2023-06-19', value: 200 },
  { date: '2023-06-20', value: 200 },
];
export const fieldChangeData = [
  { name: '2023-06-14', value: 1000 },
  { name: '2023-06-15', value: 1000 },
  { name: '2023-06-16', value: 1000 },
  { name: '2023-06-17', value: 1000 },
  { name: '2023-06-18', value: 1000 },
  { name: '2023-06-19', value: 1000 },
  { name: '2023-06-20', value: 1000 },
];

export const accountFormSchema: any[] = [];

export const refundData = {
  dataSource: 'mysql24.connector_foundation1.tb_1',
  size: '254K',
  type: 'MySQL',
  owner: '张三',
  dataFrom: 'mysql24.connector_foundation1.tb_1',
  zType: 'ORC',
  changeTime: '2023-06-14 10:04:04',
  isWork: '是',
  storageType: 'ORC',
  createTime: '2023-06-14 10:04:04',
  updateTime: '2023-06-14 10:04:04',
  safeLevel: '高',
  remark: '无',
  storagePath: 'mysql24.connector_foundation1.tb_1',
  description: '无',
};
export const partitionTypeData = {
  partitionType: '范围分区',
};
export const partitionData: any[] = [
  {
    name: 'less100s',
    partitionKey: 'a_bigint',
    partitionKeyType: 'bigint',
    partitionSize: '30-100',
  },
  {
    name: 'less10s',
    partitionKey: 'a_bigint',
    partitionKeyType: 'bigint',
    partitionSize: '100-200',
  },
  {
    name: 'less1s',
    partitionKey: 'a_bigint',
    partitionKeyType: 'bigint',
    partitionSize: '200-300',
  },
  {
    name: 'lessss',
    partitionKey: 'a_bigint',
    partitionKeyType: 'bigint',
    partitionSize: '300-400',
  },
  {
    name: 'less',
    partitionKey: 'a_bigint',
    partitionKeyType: 'bigint',
    partitionSize: '400-500',
  },
];
export const bucketingData = {
  bucketingKey: 'a_string(String)',
  num: '10',
};
export const SampleData: any[] = [
  {
    aBigint: '9223372036854775807',
    aString: '这是一个字符串',
    aChar: 'A',
    aDate: '2024-11-01',
    aDouble: '123.456789',
    aFloat: '123.45',
    aInt: '2147483647',
    aLong: '9223372036854775807',
    aShort: '32767',
    aTimestamp: '2024-11-01T12:00:00Z',
    aVarchar: '这是可变长度的字符串',
  },
  {
    aBigint: '1234567890123456789',
    aString: '另一个字符串示例',
    aChar: 'B',
    aDate: '2024-11-02',
    aDouble: '987654321.123456',
    aFloat: '987.65',
    aInt: '123456789',
    aLong: '1234567890123456789',
    aShort: '12345',
    aTimestamp: '2024-11-02T12:00:00Z',
    aVarchar: '另一个可变长度的字符串示例',
  },
  {
    aBigint: '9876543210987654321',
    aString: '第三个字符串示例',
    aChar: 'C',
    aDate: '2024-11-03',
    aDouble: '123456789.987654',
    aFloat: '123.45',
    aInt: '987654321',
    aLong: '9876543210987654321',
    aShort: '9876',
    aTimestamp: '2024-11-03T12:00:00Z',
    aVarchar: '第三个可变长度的字符串示例',
  },
  {
    aBigint: '1234567890123456789',
    aString: '第四个字符串示例',
    aChar: 'D',
    aDate: '2024-11-04',
    aDouble: '987654321.123456',
    aFloat: '987.65',
    aInt: '123456789',
    aLong: '1234567890123456789',
    aShort: '12345',
    aTimestamp: '2024-11-04T12:00:00Z',
    aVarchar: '第四个可变长度的字符串示例',
  },
  {
    aBigint: '9876543210987654321',
    aString: '第五个字符串示例',
    aChar: 'E',
    aDate: '2024-11-05',
    aDouble: '123456789.987654',
    aFloat: '123.45',
    aInt: '987654321',
    aLong: '9876543210987654321',
    aShort: '9876',
    aTimestamp: '2024-11-05T12:00:00Z',
    aVarchar: '第五个可变长度的字符串示例',
  },
];
export const informationData: any[] = [
  {
    name: 'user_id',
    CNname: '用户ID',
    type: 'INT',
    length: 11,
    precision: null,
    isNull: 'NO',
    remark: '用户的唯一标识符',
    primaryKey: 'YES',
    foreignKey: 'NO',
    dataType: '整数型',
    safeLevel: '高',
    sensitiveStatus: '敏感',
  },
  {
    name: 'username',
    CNname: '用户名',
    type: 'VARCHAR',
    length: 50,
    precision: null,
    isNull: 'NO',
    remark: '用户的登录名称',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '字符串型',
    safeLevel: '中',
    sensitiveStatus: '非敏感',
  },
  {
    name: 'password',
    CNname: '密码',
    type: 'VARCHAR',
    length: 100,
    precision: null,
    isNull: 'NO',
    remark: '用户登录密码（加密存储）',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '字符串型',
    safeLevel: '极高',
    sensitiveStatus: '非常敏感',
  },
  {
    name: 'email',
    CNname: '邮箱地址',
    type: 'VARCHAR',
    length: 100,
    precision: null,
    isNull: 'YES',
    remark: '用户注册邮箱地址',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '字符串型',
    safeLevel: '中',
    sensitiveStatus: '敏感',
  },
  {
    name: 'created_at',
    CNname: '创建时间',
    type: 'DATETIME',
    length: null,
    precision: null,
    isNull: 'NO',
    remark: '账户创建的时间戳',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '日期时间型',
    safeLevel: '低',
    sensitiveStatus: '非敏感',
  },
  {
    name: 'updated_at',
    CNname: '最后更新时间',
    type: 'DATETIME',
    length: null,
    precision: null,
    isNull: 'YES',
    remark: '账户信息最后更新的时间戳',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '日期时间型',
    safeLevel: '低',
    sensitiveStatus: '非敏感',
  },
  {
    name: 'is_active',
    CNname: '账户状态',
    type: 'TINYINT',
    length: 1,
    precision: null,
    isNull: 'NO',
    remark: '账户是否处于激活状态（0-未激活，1-已激活）',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '布尔型',
    safeLevel: '中',
    sensitiveStatus: '非敏感',
  },
  {
    name: 'is_deleted',
    CNname: '删除标记',
    type: 'TINYINT',
    length: 1,
    precision: null,
    isNull: 'NO',
    remark: '账户是否被标记为删除（0-未删除，1-已删除）',
    primaryKey: 'NO',
    foreignKey: 'NO',
    dataType: '布尔型',
    safeLevel: '中',
    sensitiveStatus: '非敏感',
  },
];
export const exampleData: any[] = [
  {
    id: '001',
    age: '28',
    name: '张三',
    gender: '男',
    height: '175',
    email: 'zhangsan@example.com',
    phone: '13800000000',
  },
  {
    id: '002',
    age: '22',
    name: '李四',
    gender: '女',
    height: '165',
    email: 'lisi@example.com',
    phone: '13800000001',
  },
  {
    id: '003',
    age: '34',
    name: '王五',
    gender: '男',
    height: 180,
    email: 'wangwu@example.com',
    phone: '13800000002',
  },
  {
    id: '004',
    age: '29',
    name: '赵六',
    gender: '女',
    height: '168',
    email: 'zhaoliu@example.com',
    phone: '13800000003',
  },
  {
    id: '005',
    age: '27',
    name: '钱七',
    gender: '男',
    height: '180',
    email: 'qianqi@example.com',
    phone: '13800000004',
  },
  {
    id: '006',
    age: '30',
    name: '孙八',
    gender: '女',
    height: '170',
    email: 'sunba@example.com',
    phone: '13800000005',
  },
  {
    id: '007',
    age: '26',
    name: '周九',
    gender: '男',
    height: '175',
    email: 'zhoujiu@example.com',
    phone: '13800000006',
  },
  {
    id: '008',
    age: '31',
    name: '吴十',
    gender: '女',
    height: '165',
    email: 'wushu@example.com',
    phone: '13800000007',
  },
  {
    id: '009',
    age: '28',
    name: '郑十一',
    gender: '男',
    height: '180',
    email: 'zhengshi1@example.com',
    phone: '13800000008',
  },
  {
    id: '010',
    age: '29',
    name: '冯十二',
    gender: '女',
    height: '165',
    email: 'fengshi2@example.com',
    phone: '13800000009',
  },
  {
    id: '011',
    age: '27',
    name: '陈十三',
    gender: '男',
    height: '175',
    email: 'chenshi3@example.com',
    phone: '13800000010',
  },
  {
    id: '012',
    age: '30',
    name: '褚十四',
    gender: '女',
    height: '170',
    email: 'chushi4@example.com',
    phone: '13800000011',
  },
  {
    id: '013',
    age: '26',
    name: '卫十五',
    gender: '男',
    height: '180',
    email: 'weishu5@example.com',
    phone: '13800000012',
  },
  {
    id: '014',
    age: '29',
    name: '蒋十六',
    gender: '女',
    height: '165',
    email: 'jiangshi6@example.com',
    phone: '13800000013',
  },
  {
    id: '015',
    age: '28',
    name: '沈十七',
    gender: '男',
    height: '175',
    email: 'shensix@example.com',
    phone: '13800000014',
  },
];
export const CorrelationData: any[] = [
  {
    name: '标准一',
    code: 'STD-001',
    path: '/standard/001',
    remark: '与项目A相关',
    field: '字段X',
    date: '2024-01-01',
    user: '张三',
  },
  {
    name: '标准二',
    code: 'STD-002',
    path: '/standard/002',
    remark: '与项目B相关',
    field: '字段Y',
    date: '2024-02-01',
    user: '李四',
  },
  {
    name: '标准三',
    code: 'STD-003',
    path: '/standard/003',
    remark: '与项目C相关',
    field: '字段Z',
    date: '2024-03-01',
    user: '王五',
  },
  {
    name: '标准四',
    code: 'STD-004',
    path: '/standard/004',
    remark: '与项目D相关',
    field: '字段A',
    date: '2024-04-01',
    user: '赵六',
  },
];
export const recommendData: any[] = [
  {
    name: '字段A',
    comment: '这是字段A的注释',
    CNname: '标准中文名称A',
    ENname: '标准英文名称A',
    code: '001',
    level: '高',
  },
  {
    name: '字段B',
    comment: '这是字段B的注释',
    CNname: '标准中文名称B',
    ENname: '标准英文名称B',
    code: '002',
    level: '中',
  },
  {
    name: '字段C',
    comment: '这是字段C的注释',
    CNname: '标准中文名称C',
    ENname: '标准英文名称C',
    code: '003',
    level: '低',
  },
];
export const connectionData: any[] = [
  {
    name: 'users',
    dataBase: 'mainDB',
    path: 'import',
    type: 'one-to-many',
    status: 'active',
    user: 'admin',
    date: '2023-05-15',
  },
  {
    name: 'orders',
    dataBase: 'salesDB',
    path: 'manual',
    type: 'many-to-one',
    status: 'inactive',
    user: 'salesManager',
    date: '2023-06-22',
  },
  {
    name: 'products',
    dataBase: 'inventoryDB',
    path: 'sync',
    type: 'many-to-many',
    status: 'active',
    user: 'inventoryAdmin',
    date: '2023-07-10',
  },
  {
    name: 'customers',
    dataBase: 'clientDB',
    path: 'export',
    type: 'one-to-one',
    status: 'active',
    user: 'customerService',
    date: '2023-08-14',
  },
];
export const analysisData: any[] = [
  {
    name: '项目A',
    dataBase: '数据库X',
    type: '数据标准',
    level: '3',
  },
  {
    name: '项目B',
    dataBase: '数据库Y',
    type: '数据标准',
    level: '3',
  },
  {
    name: '项目C',
    dataBase: '数据库Z',
    type: '数据标准',
    level: '2',
  },
  {
    name: '项目D',
    dataBase: '数据库X',
    type: '数据标准',
    level: '3',
  },
  {
    name: '项目E',
    dataBase: '数据库Y',
    type: '数据标准',
    level: '2',
  },
];
export const physicsData: any[] = [
  {
    name: '文件A',
    dataBase: '元模型X',
    path: '/modelX/files',
    connectTime: '2024-05-01T10:00:00Z',
    date: '2024-05-01T12:00:00Z',
    user: '张三',
  },
];
export const versionData: any[] = [
  {
    versionId: '1',
    name: 'V1',
    user: '张三',
    date: '2023-01-10',
    remark: '首次版本发布',
  },
  {
    versionId: '2',
    name: 'V2',
    user: '李四',
    date: '2023-02-15',
    remark: '修复已知bug，优化用户体验',
  },
  {
    versionId: '3',
    name: 'V3',
    user: '王五',
    date: '2023-03-22',
    remark: '增加数据分析模块',
  },
  {
    versionId: '4',
    name: 'V4',
    user: '赵六',
    date: '2023-05-08',
    remark: '提高系统响应速度',
  },
  {
    versionId: '5',
    name: 'V5',
    user: '孙七',
    date: '2023-07-12',
    remark: '优化用户界面设计',
  },
];
export const versionDetailData = {
  dataSource: 'Inceptor',
  type: 'MySQL',
  owner: '张三',
  createTime: '2023-06-14 10:04:04',
};
export const structureData: any[] = [
  {
    name: 'id',
    partitionKey: 'INT',
    length: '11',
    precision: 'null',
    isNull: 'NO',
    remark: '主键',
  },
  {
    name: 'username',
    partitionKey: 'VARCHAR',
    length: '50',
    precision: 'null',
    isNull: 'YES',
    remark: '用户名',
  },
  {
    name: 'email',
    partitionKey: 'VARCHAR',
    length: '100',
    precision: 'null',
    isNull: 'YES',
    remark: '邮箱地址',
  },
  {
    name: 'age',
    partitionKey: 'INT',
    length: '3',
    precision: 'null',
    isNull: 'YES',
    remark: '年龄',
  },
  {
    name: 'create_time',
    partitionKey: 'DATETIME',
    length: 'null',
    precision: 'null',
    isNull: 'NO',
    remark: '创建时间',
  },
  {
    name: 'update_time',
    partitionKey: 'DATETIME',
    length: 'null',
    precision: 'null',
    isNull: 'YES',
    remark: '更新时间',
  },
];
export const indexData: any[] = [
  {
    type: 'UNIQUE',
    name: 'idx_user_email',
    field: 'email',
    precision: '',
  },
  {
    type: 'FULLTEXT',
    name: 'idx_article_content',
    field: 'content',
    precision: 'stopword=0',
  },
  {
    type: 'SPATIAL',
    name: 'idx_location',
    field: 'coordinates',
    precision: '',
  },
  {
    type: 'INDEX',
    name: 'idx_product_price',
    field: 'price',
    precision: 'length=4',
  },
];
export const bucketingTableData: any[] = [
  {
    num: 5,
    field: 'age',
    index: 'ASC',
  },
  {
    num: 10,
    field: 'salary',
    index: 'ASC',
  },
  {
    num: 3,
    field: 'category',
    index: 'DESC',
  },
  {
    num: 7,
    field: 'rating',
    index: 'DESC',
  },
];
export const viewData: any[] = [
  {
    name: '员工信息视图',
    remark: '包含所有员工的基本信息',
    sql: 'SELECT id, name, department FROM employees',
  },
  {
    name: '销售记录视图',
    remark: '显示每月销售总额',
    sql: 'SELECT month, SUM(amount) AS total_sales FROM sales GROUP BY month',
  },
  {
    name: '库存状态视图',
    remark: '监控产品库存水平',
    sql: 'SELECT product_id, stock_level FROM inventory WHERE stock_level < 10',
  },
];
export const storedData: any[] = [
  {
    name: 'hello_word',
    remark: '',
    sql: '',
    type: 'void',
  },
];
export const metaData = {
  dataSource: 'mysql24.connector_foundation1.tb_1',
  size: '254K',
  type: 'MySQL',
  owner: '张三',
  dataFrom: 'mysql24.connector_foundation1.tb_1',
  zType: 'ORC',
  changeTime: '2023-06-14 10:04:04',
  isWork: '是',
  storageType: 'ORC',
  createTime: '2023-06-14 10:04:04',
  updateTime: '2023-06-14 10:04:04',
  safeLevel: '高',
  remark: '无',
  storagePath: 'mysql24.connector_foundation1.tb_1',
  description: '无',
};
export const storageManagementData: any[] = [
  {
    id: '1',
    startTime: '2024-10-01 08:00:00',
    endTime: '2024-10-01 10:30:00',
    useTime: '2小时30分钟',
    status: '成功',
    type: '手动清理',
    pointNum: '5000',
    num: '2000',
    user: '张三',
  },
  {
    id: '2',
    startTime: '2024-10-02 09:00:00',
    endTime: '2024-10-02 11:45:00',
    useTime: '2小时45分钟',
    status: '失败',
    type: '自动清理',
    pointNum: '7000',
    num: '3500',
    user: '李四',
  },
  {
    id: '3',
    startTime: '2024-10-03 10:00:00',
    endTime: '2024-10-03 12:15:00',
    useTime: '2小时15分钟',
    status: '成功',
    type: '手动清理',
    pointNum: '6000',
    num: '3000',
    user: '王五',
  },
  {
    id: '4',
    startTime: '2024-10-04 11:00:00',
    endTime: '2024-10-04 13:20:00',
    useTime: '2小时20分钟',
    status: '成功',
    type: '自动清理',
    pointNum: '4500',
    num: '2250',
    user: '赵六',
  },
  {
    id: '5',
    startTime: '2024-10-05 12:00:00',
    endTime: '2024-10-05 14:30:00',
    useTime: '2小时30分钟',
    status: '成功',
    type: '手动清理',
    pointNum: '5500',
    num: '2750',
    user: '孙七',
  },
];
export const tagRecordData: any[] = [
  {
    businessId: '1',
    date: '2024-11-01 10:00',
    user: '张三',
    workName: '数据清洗任务1',
    num: 500,
    type: '新增标签',
    executionStatus: '成功',
    typeNum: '0',
    range: '1',
    remark: '无',
    dataSourceName: 'mysql24.connector_foundation1.tb_1',
    isPhysics: '1',
  },
  {
    businessId: '2',
    date: '2024-11-02 14:30',
    user: '李四',
    workName: '图像标注任务2',
    num: 300,
    type: '新增标签',
    executionStatus: '成功',
    typeNum: '0',
    range: '1',
    remark: '无',
    dataSourceName: 'mysql24.connector_foundation1.tb_1',
    isPhysics: '1',
  },
  {
    businessId: '3',
    date: '2024-11-03 09:15',
    user: '王五',
    workName: '文本分类任务3',
    num: 750,
    type: '新增标签',
    executionStatus: '成功',
    typeNum: '0',
    range: '1',
    remark: '无',
    dataSourceName: 'mysql24.connector_foundation1.tb_1',
    isPhysics: '1',
  },
  {
    businessId: '4',
    date: '2024-11-04 16:45',
    user: '赵六',
    workName: '语音识别任务4',
    num: 220,
    type: '新增标签',
    executionStatus: '成功',
    typeNum: '0',
    range: '1',
    remark: '无',
    dataSourceName: 'mysql24.connector_foundation1.tb_1',
    isPhysics: '1',
  },
  {
    businessId: '5',
    date: '2024-11-05 11:20',
    user: '孙七',
    workName: '视频处理任务5',
    num: 800,
    type: '新增标签',
    executionStatus: '成功',
    typeNum: '0',
    range: '1',
    remark: '无',
    dataSourceName: 'mysql24.connector_foundation1.tb_1',
    isPhysics: '1',
  },
];
export const tagFormData: any[] = [
  {
    tagName: '标签1',
    tag: 'slark_tag',
  },
];
export const sourceFormData: any[] = [
  {
    name: 'argodb',
  },
];
